gfs2_jadd(8)

NAME
gfs2_jadd - Add journals to a GFS2 filesystem

SYNOPSIS
gfs2_jadd [OPTION]... <DEVICE|MOINTPOINT>...

DESCRIPTION
gfs2_jadd is used to add journals (and a few other per-node files) to a GFS2 filesystem. When this operation is complete, the journal index is updated so that machines mounting the filesystem at a later date will see the newly created journals in addition to the journals already there. Machines which are already running in the cluster are unaffected.

You may only run gfs2_jadd on a mounted filesystem, addition of journals to unmounted filesystems is not supported. You only need to run gfs2_jadd on one node in the cluster. All the other nodes will see the expansion has occurred when required.

You must be superuser to execute gfs2_jadd. The gfs2_jadd tool tries to prevent you from corrupting your filesystem by checking as many of the likely problems as it can. When growing a filesystem, only the last step of updating the journal index affects the currently mounted filesystem and so failure part way through the expansion process should leave your filesystem in its original state.

OPTIONS

-c MegaBytes
    Initial size of each journal's quota change file

-D  Print out debugging information about the filesystem layout.

-h  Prints out a short usage message and exits.

-J size
    The size of the new journals in megabytes. The defaults to 32MB (the minimum size allowed is 8MB). If you want to add journals of different sizes to the filesystem, you'll need to run gfs2_jadd once for each different size of journal.

-j num
    The number of new journals to add.

-q  Be quiet. Don't print anything.

-V  Version. Print version information, then exit.

SEE ALSO
mkfs.gfs2(8) gfs2_grow(8)